Subject: Re: linux-next: build failure after merge of the nvmem tree

From: Srinivas Kandagatla <[email-masked]>
Date: Tue, 19 Aug 2025 14:58:32 +0100

On 8/19/25 2:54 PM, Heiko Stübner wrote:
> Am Dienstag, 19. August 2025, 13:22:04 Mitteleuropäische Sommerzeit schrieb Srinivas Kandagatla:
>> On 8/19/25 12:14 PM, Heiko Stübner wrote:
>>> Hi,
>>>
>>> Am Dienstag, 19. August 2025, 05:40:39 Mitteleuropäische Sommerzeit schrieb Stephen Rothwell:
>>>> After merging the nvmem tree, today's linux-next build (x86_64
>>>> allmodconfig) failed like this:
>>>>
>>>> In file included from drivers/nvmem/qnap-mcu-eeprom.c:12:
>>>> include/linux/mfd/qnap-mcu.h:13:9: error: unknown type name 'u32'
>>>>    13 |         u32 baud_rate;
>>>>       |         ^~~
>>>
>>> [...]
>>>
>>>>
>>>> Caused by commit
>>>>
>>>>   117c3f3014a9 ("nvmem: add driver for the eeprom in qnap-mcu controllers")
>>>>
>>>> I have used the nvmem tree from next-20250818 for today.
>>>
>>> bah, sorry about messing this up.
>>>
>>> While I encountered this, and fixed that with the pending
>>>   https://lore.kernel.org/all/[email-masked]/
>>>
>>> I completely missed that the nvmem driver applied alone would break
>>> without that change :-( .
>>
>> I have now reverted this change, @Heiko Please let me know if you want
>> to take this to mfd tree or vice-versa.
> 
> ok, no worries :-) .
> 
> I guess for now, I'll just make sure the header patch gets somewhere.
> And I guess I'll re-try the nvmem driver once that has happened,
> probably for the next cycle.

I don't think we need to wait till next cycle, Lee can pick up this
patch via mfd tree if header change is going via mfd tree.

--srini

> 
> Creating dependencies between trees somehow does sound like
> more hassle so I'll just wait for a stable base, to not cause more
> breakage :-)
> 
> 
> Heiko
> 
>